#!/bin/ksh -x
#

Rod=$1
tini=$2
tfim=$3
dir_dados=binctl_SP2/${Rod}

let Fcti=${Fct}-23
tti=`~/bin/caldate.3.0 ${Data} + ${Fcti}h "hhZddmmmyyyy"`
ttf=`~/bin/caldate.3.0 ${Data} + ${Fct}h "hhZddmmmyyyy"`
DataObs=`~/bin/caldate.3.0 ${Data} + ${Fct}h "yyyymmddhh"`
cat <<EOF> IntClassePrec.gs
'open ${dir_dados}/prec.ctl'
arqout='Eta${Rod}_SP.txt'
'set dfile 1'
'q dims'
rec=sublin(result,2)
nxpt=subwrd(rec,13)
'set dfile 1'
th.1=1
th.2=5
th.3=10
th.4=15
th.5=20
th.6=25
th.7=30
th.8=35
th.9=40
th.10=45
th.11=50
th.12=55
th.13=60
th.14=65
th.15=70
th.16=75
th.17='>75'





f.1=0;f.2=0;f.3=0;f.4=0;f.5=0;f.6=0;f.7=0;f.8=0;f.9=0;f.10=0
f.11=0;f.12=0;f.13=0;f.14=0;f.15=0;f.16=0;f.17=0
Print='THRE   F' 
write(arqout,Print)

'set time ${tini} ${tfim}'
'q dims'
linha=sublin(result,5)
say linha
ti=subwrd(linha,11)
tf=subwrd(linha,13)
say ti' 'tf

while (ti<=tf)
 'set t 'ti
  say ti
  pt=1
  while (pt<=53)
     'set x 'pt
     'set y 1'
     'd prec'   
     pf=subwrd(result,4)
       if (pf<1000)
        if (pf<th.1)               ; f.1=f.1 + 1;   endif
        if ((pf>=th.1) & (pf<th.2)); f.2=f.2 + 1;   endif
        if ((pf>=th.2) & (pf<th.3)); f.3=f.3 + 1;   endif
        if ((pf>=th.3) & (pf<th.4)); f.4=f.4 + 1;   endif
        if ((pf>=th.4) & (pf<th.5)); f.5=f.5 + 1;   endif
        if ((pf>=th.5) & (pf<th.6)); f.6=f.6 + 1;   endif
        if ((pf>=th.6) & (pf<th.7)); f.7=f.7 + 1;   endif
        if ((pf>=th.7) & (pf<th.8)); f.8=f.8 + 1;   endif
        if ((pf>=th.8) & (pf<th.9)); f.9=f.9 + 1;   endif
        if ((pf>=th.9) & (pf<th.10)); f.10=f.10 + 1;   endif
        if ((pf>=th.10) & (pf<th.11)); f.11=f.11 + 1;   endif
        if ((pf>=th.11) & (pf<th.12)); f.12=f.12 + 1;   endif
        if ((pf>=th.12) & (pf<th.13)); f.13=f.13 + 1;   endif
        if ((pf>=th.13) & (pf<th.14)); f.14=f.14 + 1;   endif
        if ((pf>=th.14) & (pf<th.15)); f.15=f.15 + 1;   endif
        if ((pf>=th.15) & (pf<th.16)); f.16=f.16 + 1;   endif
        if (pf>=th.16)               ; f.17=f.17 + 1;   endif

      endif
    pt=pt+1
  endwhile  
  'clear norset'
 ti=ti+1
endwhile


***********************
 fmt='%5.2f'
 fmt1='%5.0f'
ncat=1
 while (ncat<=17)
  ff=math_format(fmt1,f.ncat) 
  Print=th.ncat'  'ff 
  write(arqout,Print,append)
  ncat=ncat+1
 endwhile
'quit'

EOF
/usr/local/grads30d/bin/gradsc -blc "run IntClassePrec.gs"
