#!/bin/ksh -x
#

Rod=$1
dir_dados=binctl/${Rod}

let Fcti=${Fct}-23
tti=`~/bin/caldate.3.0 ${Data} + ${Fcti}h "hhZddmmmyyyy"`
ttf=`~/bin/caldate.3.0 ${Data} + ${Fct}h "hhZddmmmyyyy"`
DataObs=`~/bin/caldate.3.0 ${Data} + ${Fct}h "yyyymmddhh"`
cat <<EOF> IntClassePrec.gs
'open ${dir_dados}/prec.ctl'
'open mask.ctl'
arqout='Eta${Rod}.txt'
'set dfile 1'
'q dims'
rec=sublin(result,2)
nxpt=subwrd(rec,13)
'set dfile 1'
th.1=0.254
th.2=2.54
th.3=6.35
th.4=12.7
th.5=19.05
th.6=25.4
th.7=38.1
th.8=50.8
th.9=76.20
th.10=76.21
f.1=0;f.2=0;f.3=0;f.4=0;f.5=0;f.6=0;f.7=0;f.8=0;f.9=0;f.10=0
Print='THRE   F' 
write(arqout,Print)


i=1
tf=10411
while (i<=tf)
 'set t 'i
  pt=1
  while (pt<=290)
     'set x 'pt
     'set y 1'
     'd prec'   
     pf=subwrd(result,4)
    'd mk60.2(t=1)'
     msk=subwrd(result,4)
    
     if (msk>0) 
      if (pf<1000)
        if (pf<=th.1)              ; f.1=f.1 + 1;   endif
        if ((pf>th.1) & (pf<=th.2)); f.2=f.2 + 1;   endif
        if ((pf>th.2) & (pf<=th.3)); f.3=f.3 + 1;   endif
        if ((pf>th.3) & (pf<=th.4)); f.4=f.4 + 1;   endif
        if ((pf>th.4) & (pf<=th.5)); f.5=f.5 + 1;   endif
        if ((pf>th.5) & (pf<=th.6)); f.6=f.6 + 1;   endif
        if ((pf>th.6) & (pf<=th.7)); f.7=f.7 + 1;   endif
        if ((pf>th.7) & (pf<=th.8)); f.8=f.8 + 1;   endif
        if ((pf>th.8) & (pf<=th.9)); f.9=f.9 + 1;   endif
        if (pf>th.9)               ; f.10=f.10 + 1; endif
      endif
     endif
   pt=pt+1
  endwhile  
  'clear norset'
 i=i+1
endwhile


***********************
 fmt='%5.2f'
 fmt1='%5.0f'
ncat=1
 while (ncat<=10)
  ff=math_format(fmt1,f.ncat) 
  Print=th.ncat'  'ff 
  write(arqout,Print,append)
  ncat=ncat+1
 endwhile
'quit'

EOF
/usr/local/grads30d/bin/gradsc -blc "run IntClassePrec.gs"
